<div class="container">
  <div class="table-container shadow">

    <div class="table-header">
      <h2>Members List</h2>
      <div class="header-search-bar">
        <div>Search:</div>
        <input type="text" [(ngModel)]="searchMembers">
      </div>

    </div>
    <div class="table-body">
      <div class="table-classes" [ngStyle]="{'grid-template-columns': 'repeat(' + colNumber + ', 1fr)'}">
        <div>CID</div>
        <div>Name</div>
        <div>ATC Rating</div>
        <div>Certifications</div>
      </div>
      <div *ngFor="let i of membersList | searchFilter: searchMembers" class="table-entry"
           [ngStyle]="{'grid-template-columns': 'repeat(' + colNumber + ', 1fr)'}">
        <div>
          {{i.cid}}
        </div>
        <div>
          {{i.name}}
        </div>
        <div>
          {{i.rating}}
        </div>
        <div>
            {{i.certifications}}
        </div>
      </div>
    </div>
    <div class="table-footer">
      <div>Showing x1 to x2 of y entries</div>
      <div class="pages-grid">
        <a class="" (click)="previousPage()" [ngClass]="{'a-disabled' : selectedPage == 1}">Previous</a>
        <a *ngFor="let i of [1, 2, 3]" [ngClass]="{'selectedPage' : i == selectedPage}" (click)="changePage(i)">{{i}}</a>
        <a class="" (click)="nextPage()" [ngClass]="{'a-disabled' : selectedPage == maxPageNumber}">Next</a>
      </div>
    </div>

  </div>
</div>
